Bug 127157 - MXUNIT parameter too small
MXUNIT parameter too small
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2004-07-02 15:27 EDT by kirk l. holub
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kirk l. holub 2004-07-02 15:27:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
A FORTRAN program we use in a production environment fails after
trying to open too many files.  We can work around the problem my
updating the file libf2c/libI77/fio.h  and replacing
#define MXUNIT 100
with line:
#define MXUNIT 10000
and then, of course, rebuilding and reinstalling gcc.

Although this works, we would like to avoid having to repeat this
produre whenever gcc is updated.  And since we update the release
number when we rebuild the rpm, just to keep things straight, our
system in now out of sync with respect to Red Hat Network.

So, the bottom line, would it be possible to increase MXUNIT in the
production release of gcc?



Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. not applicable

Actual Results:  Our production FORTRAN code stops due to lack of file

Expected Results:  Our program should have run to completion.

Additional info:
Comment 1 Richard Henderson 2004-10-04 19:05:06 EDT
Can we compromise on 1000?  There's a static table in libg2c that's
sized by this parameter.  At the moment, that table occupies about 4k;
with your change it would be 468k, which I feel is a bit excessive
to inflict on all Fortran users.
Comment 2 kirk l. holub 2004-10-06 08:19:35 EDT

Yes, we can.  We believe that 1000 will meet ours and hopefully the
community's needs.

Thanks for this consideration.

Comment 3 RHEL Product and Program Management 2007-10-19 15:23:11 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.